@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap");

/* header */
.header {
  background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url(images/banner-bg.jpg) center/cover no-repeat;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.header h2 {
  margin: 0.8rem;
  /* font-size: 3rem; */
  font-weight: 900;
  color: #fff;
}

.header p {
  margin: 0.8rem auto;
  color: #fff;
  width: 60%;
  opacity: 0.8;
  font-weight: 300;
  font-size: 1.2rem;
  text-align: center;
}

.header button {
  margin: 0.8rem;
  font-size: 0.8rem;
  text-transform: uppercase;
  /* background: #000; */
  color: #fff;
  border: none;
  padding: 0.8rem 1.5rem;
  transition: all 0.5s ease;
  cursor: pointer;
}

.header button:hover {
  /* background: #fff; */
  /* color: #000; */
}

/* Media Queries */
@media screen and (min-width: 992px) {
  .navbar {
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding: 0 5rem;
    position: relative;
  }

  .navbar-toggler {
    display: none;
  }

  .brand-and-icon {
    flex: 0 0 100px;
    border-bottom: none;
    padding: 0;
  }

  .navbar-collapse {
    display: block !important;
    overflow-y: hidden;
    flex: 1 0 auto;
  }

  .navbar-nav {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .navbar-nav > li > a {
    border-bottom: none;
    margin: 0 0.4rem;
    padding: 1.7rem 1.8rem 1.7rem 0.8rem;
  }

  .sub-menu {
    position: absolute;
    left: 0;
    width: 100%;
    top: 100%;
    background: #f8f8f8;
  }

  .navbar-nav > li:hover .sub-menu {
    display: grid !important;
    grid-template-columns: repeat(4, 1fr);
    padding: 0 5rem;
  }

  .navbar-nav > li {
    border-bottom: 2px solid transparent;
    transition: border-bottom 0.4s ease;
  }

  .navbar-nav > li:hover {
    /* border-bottom-color: #000; */
  }

  .sub-menu-item {
    padding-left: 0;
  }

  .sub-menu-item:nth-child(3) {
    padding-left: 2rem;
    padding-right: 2rem;
  }

  /* header */
  .header {
    height: calc(100vh - 75px);
  }

  .header h2 {
    font-size: 6rem;
  }

  .header p {
    width: 40%;
  }
}
